aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2017-04-07 12:44:41 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-04-07 12:50:10 +0000
commit87921aecceb977f436cbcf62dc7415dd2c8e9005 (patch)
tree2dfbdc90c1354740db3d1f3caa46d89f1c45bcbd
parent139a3bf2257641b9891728654148a52af71cb58f (diff)
downloadaports-87921aecceb977f436cbcf62dc7415dd2c8e9005.tar.gz
aports-87921aecceb977f436cbcf62dc7415dd2c8e9005.tar.bz2
aports-87921aecceb977f436cbcf62dc7415dd2c8e9005.tar.xz
community/php7-pear-auth_sasl2: new aport
-rw-r--r--community/php7-pear-auth_sasl2/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/community/php7-pear-auth_sasl2/APKBUILD b/community/php7-pear-auth_sasl2/APKBUILD
new file mode 100644
index 0000000000..86c98334e7
--- /dev/null
+++ b/community/php7-pear-auth_sasl2/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
+_php=php7
+pkgname=${_php}-pear-auth_sasl2
+_realname=Auth_SASL2
+pkgver=0.2.0
+pkgrel=0
+pkgdesc="Abstraction of various SASL mechanism responses"
+url="http://pear.php.net/package/Auth_SASL2"
+arch="noarch"
+license="BSD"
+depends="${_php}-pear"
+makedepends="$depends_dev ${_php}-pear"
+options="!check"
+source="$pkgname-$pkgver.tgz::http://download.pear.php.net/package/$_realname-$pkgver.tgz"
+builddir="$srcdir"/$_realname-$pkgver
+
+build() {
+ return 0
+}
+
+package() {
+ _phpdir="usr/lib/$_php"
+ cd "$builddir"
+ install -d "$pkgdir"/$_phpdir/PEAR && \
+ cp -R Auth "$pkgdir"/$_phpdir/PEAR || return 1
+}
+
+sha512sums="ea4bed18d241e9e43e3d3b1edc8aec713276a19ed6fa2b2adc44cfe74b51895b719e4fbbf83836b26abb8bfa7f0600891b2c4511ddcc3f6d815e986a61277402 php7-pear-auth_sasl2-0.2.0.tgz"